Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06174 DIP/Input Minor Always Apr 3, 2016, 22:13 Apr 8, 2016, 11:16
Tester ketburai View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver twincobr.cpp
Version 0.172 Fixed in Version 0.173 Build
Summary 06174: fshark, skyshark, hishouza, tp84, tp84a, tp84b: Dipswitch info
Description otokaru.net is a pretty good website for Japan factory defaults, since it's pretty much impossible to find manuals online. Here's the page for Hi Sho Zame: http://otokaru.net/contents/dipsw/ha-ho/hishozame.html

Hi Sho Zame is a very peculiar Toaplan release in that it uses the 50K/150K extend setting usually found in world releases (Japan releases usually have 70K/200K), and has continues disabled by default. Currently, continues are enabled in MAME.

This and a lot of other Toaplan (and Japanese '80s) games also run in cocktail mode by default, which is currently not the case in MAME. I don't know what MAME's policy on the cocktail dip is.

I'm not sure about the other releases, but I imagine Flying Shark uses the same dips at least (which is a rarity). A Sky Shark manual I found has some really wacky "recommended" settings; difficulty A, extend at 100k only, etc. I get the impression you're shipped a board with the Japan defaults and expected to press buttons yourself...

I also just found out that Time Pilot '84 is supposed to be difficulty 2, not difficulty 3: http://otokaru.net/contents/dipsw/ta-to/timepilot84.html
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems fshark, skyshark, hishouza, tp84, tp84a, tp84b
Attached Files
png file icon tp84-difficulty.png (326,126 bytes) Apr 4, 2016, 01:33 Uploaded by Tafoid
Time Pilot 84 - Difficuly Setting Dip
Tafoid
png file icon hishouza_dip.png (1,518,787 bytes) Apr 8, 2016, 11:16 Uploaded by Tafoid
Hishou Zame DIp Sheet - Continue OFF default
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.12512
Tafoid
Administrator
Apr 4, 2016, 01:32
edited on: Apr 4, 2016, 01:33
The Time Pilot 84 assertion might have merit if any of the dumps we had were confirmed to be Japanese region. Everything in source that suggest US and Japan had different default difficulty settings (tp84.cpp) - Line 227
I've also included the manual snapshot indicating 3 as the default difficulty level.
PORT_DIPNAME( 0x60, 0x20, DEF_STR( Difficulty ) ) PORT_DIPLOCATION("SW2:6,7")
PORT_DIPSETTING( 0x60, DEF_STR( Easy ) )
PORT_DIPSETTING( 0x40, DEF_STR( Normal ) ) // JP default
PORT_DIPSETTING( 0x20, DEF_STR( Hard ) ) // US default
PORT_DIPSETTING( 0x00, DEF_STR( Hardest ) )

User avatar
No.12516
Tafoid
Administrator
Apr 8, 2016, 11:14
For Hishou Zame, I was able to confirm via dip sheet that continues were off, so I adjusted that one only.
Traditionally, yes, we keep Upright as the default unless (much like Demo Sounds is always default ON), despite what defaults might say.
The remaining defaults should be ok for fshark and others and the dips themselves are fine and are all based on direct m68000/z80 code examination some time ago by one of the Developers (stephh) and you can examine his notes at the top of the driver file.